using Avalonia.Media;
using Avalonia.Media.Imaging;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace TravelAroundRussia.Models
{   
    /// <summary>
    /// Частичный класс для класса Tour базы данных
    /// </summary>
    public partial class Tour
    {
        /// <summary>
        /// Оаисание
        /// </summary>
        public string _Descript
        {
            //если строка? пустая или равна NULL передаем пустую строку, иначе описание
            get => (Description == "NULL" || Description == null) ? "" : Description;
        }
        /// <summary>
        /// Строка актуальности тура
        /// </summary>
        public String ActualText
        {
            get
            {
                if (IsActual == 1)
                    return "Актуален";
                else
                    return "Не актуален";
            }
        }
        /// <summary>
        /// Цвет актуальности тура
        /// </summary>
        public SolidColorBrush ActualColor
        {
            get
            {
                if (IsActual == 1)//если актуален - зеленый
                    return new SolidColorBrush(Colors.Green);
                else //если не актуален красный
                    return new SolidColorBrush(Colors.Red);

            }
        }
        /// <summary>
        /// Изображение тура
        /// </summary>
        public Bitmap Image
        {
            get {
                string appDir = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);//полный путь для проверки наличия файла
                appDir = appDir.Split("\\bin")[0];//убираем все лишнее из пути
                string val ="Assets\\" + ImagePreview.Replace("/","\\");//относительный путь
                
               if (File.Exists(appDir + "\\"+ val))//проверка существования файла
                {
                    return new Bitmap(val);//возвращаем относительный путь к картинке
                }
                return new Bitmap("Assets\\picture.png");//возвращаем относительный путь к заглушке
            }
        }
    }
}
